#!/opt/insight/python/bin/python

# health.py
# NOTE: This is provided without warranty and is used at your own risk.
import sys

from lib import ace_zmq
from lib.control import send_status_query, query_health
from lib.util import wait_for
import json

def main():
    ace_zmq.setup_context()
    try:
        print json.dumps(send_status_query(query_health), indent = 4)
    except Exception as e:
        print e.message
    finally:
        ace_zmq.teardown_context()


if __name__ == '__main__':
    main()
